import java.time.LocalDate;
import java.util.List;

public class Person {
    String name;
    LocalDate birthday;
    Sex gender;
    String emailAddress;

    public Person(){}

    public Person(String name, LocalDate birthday, Sex gender, String emailAddress){
        this.name = name;
        this.birthday = birthday;
        this.gender = gender;
        this.emailAddress = emailAddress;
    }

    public LocalDate getBirthday() {
        return birthday;
    }

    public void setBirthday(LocalDate birthday) {
        this.birthday = birthday;
    }

    public Sex getGender() {
        return gender;
    }

    public void setGender(Sex gender) {
        this.gender = gender;
    }

    public String getEmailAddress() {
        return emailAddress;
    }

    public void setEmailAddress(String emailAddress) {
        this.emailAddress = emailAddress;
    }

    public int getAge(LocalDate birthday) {
        return LocalDate.now().getYear() - birthday.getYear();
    }

    public enum Sex {
        MALE, FEMALE
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String printPerson() {
        return (getName() + "," + getAge(birthday) + "," + getGender());
    }

//public Person[] makeList(){
//
//}
    //Local Class
    static class LocalSearchCriteria {
        public static void printPersons(List<Person> roster, CheckPerson tester) {
            //lambda
            roster.forEach (p -> {
                if(tester.test (p)){
                    p.printPerson();
                }
//            for (Person p : roster) {
//                if (tester.test(p)) {
//                    p.printPerson();
//                }
//            }
        }
    } //end local class
//Anonymous class
//{
//    CheckPerson checkPerson = (CheckPerson) new Person();
//
//    public void printPersons(List<Person> roster, CheckPerson tester) {

//        if (tester.test(p)) {
//            p.printPerson();
//        }
//    }
//}
//}

}//end Person class