import org.junit.Test;

import java.time.LocalDate;

import static org.junit.Assert.*;

public class RosterTest {
    Person person1 = new Person("Michael", LocalDate.of(1958, 06, 03), Person.Sex.MALE, "mike@cb.com");
    Person person2 = new Person("Sandra", LocalDate.of(1964, 12, 15), Person.Sex.FEMALE, "sandra@chicken.com");
    Person person3 = new Person("Harry", LocalDate.of(1952, 07, 22), Person.Sex.MALE, "harry@johnson.com");

//    @Test
//    public void testGetRoster() {
//        Roster roster = new Roster();
//        Roster expected = null;
//        Roster actual = roster.getRoster();
//        assertEquals(expected, actual);
//    }

    @Test
    public void testAdd(){
        Roster roster = new Roster();
        int expected = 1;
        int actual = roster.addPerson(person1);
        assertEquals(expected, actual);
    }

    @Test
    public void testRemovePerson() {
        Roster roster = new Roster();
        int expected = 0;
        int actual = roster.removePerson(person1);
        assertEquals(expected, actual);
    }
}